org.richfaces.event

## Class BypassUpdatesAjaxBehaviorEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.BehaviorEvent
      - - org.richfaces.event.BypassUpdatesAjaxBehaviorEvent

- All Implemented Interfaces:
    Serializable

      public class BypassUpdatesAjaxBehaviorEvent
      extends javax.faces.event.BehaviorEvent

  Author:
    Nick Belaevski
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BypassUpdatesAjaxBehaviorEvent(javax.faces.component.UIComponent component, javax.faces.component.behavior.Behavior behavior)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`

    - ### Methods inherited from class javax.faces.event.BehaviorEvent

      `getBehavior`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BypassUpdatesAjaxBehaviorEvent

          public BypassUpdatesAjaxBehaviorEvent(javax.faces.component.UIComponent component,
                                                javax.faces.component.behavior.Behavior behavior)

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.